"use strict";
exports.__esModule = true;
exports.ContentBuilderItem = exports.ContentBuilder = exports.cnContentBuilder = void 0;
var tslib_1 = require("tslib");
// @ts-nocheck
require("./ContentBuilder.css");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var bem_1 = require("../../utils/bem");
var PropsWithAsAttributes_1 = require("../../utils/types/PropsWithAsAttributes");
var usePropsHandler_1 = require("../EventInterceptor/usePropsHandler");
var ContentBuilderItem_1 = require("./ContentBuilderItem");
exports.cnContentBuilder = (0, bem_1.cn)('ContentBuilder');
exports.ContentBuilder = (0, PropsWithAsAttributes_1.forwardRefWithAs)(function (props, ref) {
    var _a = (0, usePropsHandler_1.usePropsHandler)((0, exports.cnContentBuilder)(), props), items = _a.items, aliases = _a.aliases, otherProps = (0, tslib_1.__rest)(_a, ["items", "aliases"]);
    return (react_1["default"].createElement("div", { className: (0, exports.cnContentBuilder)() }, items.map(function (item, index) { return (react_1["default"].createElement("div", { className: (0, exports.cnContentBuilder)('Item'), key: item.id },
        react_1["default"].createElement(ContentBuilderItem_1.ContentBuilderItem, (0, tslib_1.__assign)({}, item, { aliases: aliases }, otherProps)))); })));
});
var ContentBuilderItem_2 = require("./ContentBuilderItem");
(0, tslib_1.__createBinding)(exports, ContentBuilderItem_2, "ContentBuilderItem");
